HTDIGEST(1)

NAME
htdigest - create and update user authentication files

SYNOPSIS
htdigest [-c] passwordfile realm username

DESCRIPTION
htdigest is used to create and update the flat-files used to store usernames, realms, and passwords for digest authentication of HTTP users. Resources available from the httpd(8) Apache web server can be restricted to just the users listed in the files created by htdigest.

This manual page only lists the command line arguments. For details of the directives necessary to configure digest authentication in httpd(8), see the Apache manual, which can be found at /usr/share/doc/html/httpd/.

The options are as follows:

-c  Create the passwordfile. If passwordfile already exists, it is deleted first.

passwordfile
    Name of the file to contain the username, realm, and password. If -c is specified, this file is created if it does not already exist, or deleted and recreated if it does exist.

realm
    The realm name to which the username belongs.

username
    The username to create or update in passwordfile. If username does not exist in this file, an entry is added. If it does exist, the password is changed.

SEE ALSO
dbmmanage(1), htpasswd(1), httpd(8)